library superlu.sync.slu_ddefs;

import 'dart:js';
import 'dart:typed_data';

export 'src/slu_defs.dart' show ColPerm, Trans, Factors;
import 'src/slu_defs.dart' as defs;

class Factors extends defs.Factors {
  /// Compute LU factors for `n x n` matrix. The matrix is expressed in
  /// compressed column form as a list of non-zero [values] (length `nz`),
  /// row indices [rowind] (length `nz`) and column pointers [colptr]
  /// (length `n+1`).
  /// [permc_spec] specifies the column permutation type.
  Factors(Float64List values, Int32List rowind, Int32List colptr,
      {JsObject context, String moduleName: "SuperLU",
      defs.ColPerm permc_spec: defs.ColPerm.COLAMD})
      : super(context, moduleName, false, values, rowind, colptr, permc_spec);
}
